{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "#",
    "|"
  ],
  "key": {
    "#": "minecraft:coal",
    "|": "minecraft:stick"
  },
  "result": {
    "id": "minecraft:torch",
    "count": 8
  }
}